summaryrefslogtreecommitdiffstats
path: root/gitcompile
diff options
context:
space:
mode:
authorJaroslav Kysela <perex@perex.cz>2008-05-20 13:40:41 +0200
committerJaroslav Kysela <perex@perex.cz>2008-05-20 13:40:41 +0200
commite2ae41e27d178738a3ff0d03222bcdfc38b1895c (patch)
tree0b03bc04e389c528db5a1615fede6ded7dcf0362 /gitcompile
parent88acdeed917a3fca7f39b90b4d959e7fcfe0686b (diff)
removed .hg* files and renamed hgcompile to gitcompile
Diffstat (limited to 'gitcompile')
-rwxr-xr-xgitcompile17
1 files changed, 17 insertions, 0 deletions
diff --git a/gitcompile b/gitcompile
new file mode 100755
index 0000000..f4d8a64
--- /dev/null
+++ b/gitcompile
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+touch ltconfig
+libtoolize --force --copy --automake
+aclocal $ACLOCAL_FLAGS
+autoheader
+automake --foreign --copy --add-missing
+touch depcomp # seems to be missing for old automake
+autoconf
+export CFLAGS='-O2 -Wall -W -pipe -g'
+echo "CFLAGS=$CFLAGS"
+echo "./configure $@"
+./configure $@ || exit 1
+unset CFLAGS
+if [ -z "$GITCOMPILE_NO_MAKE" ]; then
+ make
+fi